Bug 116040 - Under specific conditions OR is acting in formulas as a Boolean operator. Same with AND
Summary: Under specific conditions OR is acting in formulas as a Boolean operator. Sam...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2018-02-26 16:27 UTC by Wolfgang Jäger
Modified: 2021-03-18 10:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Jäger 2018-02-26 16:27:05 UTC
See also bug#115879 (concerning NOT).

OR and AND are specified as the names of logical functions. 
Without a respective specification OR and AND can also be used as operators. 
There are additional inconsistencies. 
Assuming A1, B1 are logical results e.g.
= A1 or B1 is rejected reporting Err:509 and not recognising "or" as predefined while 
= (A1) OR (B1) is accepted and working.
Comment 1 Jean-Baptiste Faure 2018-03-11 22:14:53 UTC
OR and AND logical operators are not documented in the help of LibreOffice unless logical functions OR() and AND().

Best regards. JBF
Comment 2 Eike Rathke 2018-03-12 11:39:16 UTC
AND and OR as a non-function binary operator is an undefined behaviour accepted for legacy reasons. We probably should get rid of it.
Comment 3 QA Administrators 2021-03-01 04:08:23 UTC Comment hidden (obsolete)
Comment 4 Jean-Baptiste Faure 2021-03-06 16:24:53 UTC
Nothing changed in LibreOffice 7.1.

@Eike: do you think we should close this bug report as WontFix ?

Best regards. JBF
Comment 5 Eike Rathke 2021-03-08 19:56:54 UTC
I'd rather have it fixed to accept the operator form at least when reading ODF documents but convert it to the function form automatically, because it may have been written to ODF but ODFF has no operator definition, and other implementations don't read it at all no matter what file format.
Not being fixed doesn't mean it should be closed as wontfix.
Comment 6 Wolfgang Jäger 2021-03-18 10:58:26 UTC
+1 
(In reply to Eike Rathke from comment #5)
> I'd rather have it fixed to accept the operator form at least when reading
> ODF documents but convert it to the function form automatically, because it
> may have been written to ODF but ODFF has no operator definition, and other
> implementations don't read it at all no matter what file format.
> Not being fixed doesn't mean it should be closed as wontfix.